Change log for libffi-platypus-perl package in Ubuntu

147 of 47 results
Published in hirsute-release on 2020-12-04
Deleted in hirsute-proposed (Reason: moved to Release)
libffi-platypus-perl (1.34-1build1) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <email address hidden>  Mon, 09 Nov 2020 12:43:07 +0100

Available diffs

Superseded in hirsute-release on 2020-12-04
Deleted in hirsute-proposed on 2020-12-05 (Reason: moved to Release)
libffi-platypus-perl (1.34-1) unstable; urgency=medium

  * Import upstream version 1.34.

 -- gregor herrmann <email address hidden>  Wed, 28 Oct 2020 18:27:23 +0100
Superseded in hirsute-proposed on 2020-10-28
libffi-platypus-perl (1.33-1) unstable; urgency=medium

  * Import upstream version 1.33.
  * Add a note about the removed FFI::Platypus::Declare module
    to debian/NEWS.Developer.

 -- gregor herrmann <email address hidden>  Tue, 29 Sep 2020 19:04:20 +0200
Superseded in hirsute-release on 2020-11-02
Published in groovy-release on 2020-09-09
Deleted in groovy-proposed (Reason: moved to Release)
libffi-platypus-perl (1.31-1build2) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <email address hidden>  Mon, 24 Aug 2020 20:12:00 +0100
Superseded in groovy-proposed on 2020-08-24
libffi-platypus-perl (1.31-1build1) groovy; urgency=medium

  * No change rebuild against new libffi ABI.

 -- Dimitri John Ledkov <email address hidden>  Thu, 20 Aug 2020 13:18:39 +0100

Available diffs

Superseded in groovy-release on 2020-09-09
Deleted in groovy-proposed on 2020-09-11 (Reason: moved to Release)
libffi-platypus-perl (1.31-1) unstable; urgency=medium

  * Import upstream version 1.31.
  * Update debian/upstream/metadata.
  * Update lintian-overrides: renamed tag.

 -- gregor herrmann <email address hidden>  Fri, 03 Jul 2020 19:29:04 +0200

Available diffs

Superseded in groovy-release on 2020-07-04
Deleted in groovy-proposed on 2020-07-05 (Reason: moved to Release)
libffi-platypus-perl (1.30-1) unstable; urgency=medium

  * Import upstream version 1.30.

 -- gregor herrmann <email address hidden>  Fri, 19 Jun 2020 23:00:38 +0200

Available diffs

Superseded in groovy-proposed on 2020-06-20
libffi-platypus-perl (1.29-1) unstable; urgency=medium

  * Import upstream version 1.29.

 -- gregor herrmann <email address hidden>  Sat, 06 Jun 2020 22:06:17 +0200

Available diffs

Superseded in groovy-release on 2020-06-21
Deleted in groovy-proposed on 2020-06-22 (Reason: moved to Release)
libffi-platypus-perl (1.28-1) unstable; urgency=medium

  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 1.28.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <email address hidden>  Wed, 20 May 2020 18:13:28 +0200

Available diffs

Superseded in groovy-release on 2020-05-29
Deleted in groovy-proposed on 2020-05-30 (Reason: moved to Release)
libffi-platypus-perl (1.26-1) unstable; urgency=medium

  * Import upstream version 1.26.

 -- gregor herrmann <email address hidden>  Thu, 07 May 2020 18:04:26 +0200

Available diffs

Superseded in groovy-proposed on 2020-05-07
libffi-platypus-perl (1.24-1) unstable; urgency=medium

  * Import upstream version 1.24.

 -- gregor herrmann <email address hidden>  Sun, 03 May 2020 19:00:06 +0200

Available diffs

Superseded in groovy-release on 2020-05-08
Deleted in groovy-proposed on 2020-05-10 (Reason: moved to Release)
libffi-platypus-perl (1.11-1) unstable; urgency=medium

  * Import upstream version 1.11.

 -- gregor herrmann <email address hidden>  Fri, 17 Apr 2020 20:03:44 +0200

Available diffs

Superseded in groovy-release on 2020-04-28
Published in focal-release on 2020-02-09
Deleted in focal-proposed (Reason: moved to Release)
libffi-platypus-perl (1.10-1) unstable; urgency=medium

  * Import upstream version 1.10.
  * Update years of upstream and packaging copyright.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <email address hidden>  Sun, 09 Feb 2020 14:01:41 +0100
Superseded in focal-release on 2020-02-09
Deleted in focal-proposed on 2020-02-11 (Reason: moved to Release)
libffi-platypus-perl (1.09-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <email address hidden>  Sat, 08 Feb 2020 11:06:24 +0000

Available diffs

Superseded in focal-release on 2020-02-08
Deleted in focal-proposed on 2020-02-10 (Reason: moved to Release)
libffi-platypus-perl (1.09-1) unstable; urgency=medium

  * Import upstream version 1.09.
  * Declare compliance with Debian Policy 4.5.0.

 -- gregor herrmann <email address hidden>  Fri, 24 Jan 2020 15:19:12 +0100
Superseded in focal-proposed on 2020-01-24
libffi-platypus-perl (1.07-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <email address hidden>  Sun, 12 Jan 2020 08:29:33 +0000

Available diffs

Superseded in focal-release on 2020-01-31
Deleted in focal-proposed on 2020-02-01 (Reason: moved to Release)
libffi-platypus-perl (1.07-1) unstable; urgency=medium

  * Import upstream version 1.07.

 -- gregor herrmann <email address hidden>  Sat, 28 Dec 2019 18:54:14 +0100

Available diffs

Superseded in focal-release on 2019-12-29
Deleted in focal-proposed on 2019-12-30 (Reason: moved to Release)
libffi-platypus-perl (1.06-1) unstable; urgency=medium

  * Import upstream version 1.06.

 -- gregor herrmann <email address hidden>  Sat, 14 Dec 2019 19:53:42 +0100

Available diffs

Superseded in focal-release on 2019-12-15
Deleted in focal-proposed on 2019-12-16 (Reason: moved to Release)
libffi-platypus-perl (1.05-1) unstable; urgency=medium

  * Import upstream version 1.05.

 -- gregor herrmann <email address hidden>  Sat, 14 Dec 2019 01:08:01 +0100

Available diffs

Superseded in focal-release on 2019-12-14
Deleted in focal-proposed on 2019-12-15 (Reason: moved to Release)
libffi-platypus-perl (1.02-1) unstable; urgency=medium

  * Import upstream version 1.02.
  * Remove unused variable from debian/rules.
  * Update Build-Depends for cross builds.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <email address hidden>  Tue, 10 Dec 2019 16:54:27 +0100

Available diffs

Superseded in focal-release on 2019-12-11
Deleted in focal-proposed on 2019-12-12 (Reason: moved to Release)
libffi-platypus-perl (1.01-1) unstable; urgency=medium

  * Import upstream version 1.01.

 -- gregor herrmann <email address hidden>  Sat, 16 Nov 2019 19:00:42 +0100

Available diffs

Superseded in focal-release on 2019-11-03
Deleted in focal-proposed on 2019-11-04 (Reason: moved to Release)
libffi-platypus-perl (0.96-1build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <email address hidden>  Sat, 19 Oct 2019 08:03:38 +0000

Available diffs

Superseded in focal-release on 2019-11-17
Deleted in focal-proposed on 2019-11-18 (Reason: moved to Release)
libffi-platypus-perl (0.98-1) unstable; urgency=medium

  * Import upstream version 0.98.
  * Declare compliance with Debian Policy 4.4.1.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <email address hidden>  Tue, 15 Oct 2019 17:26:52 +0200
Superseded in focal-release on 2019-10-24
Obsolete in eoan-release on 2020-12-29
Deleted in eoan-proposed on 2020-12-29 (Reason: moved to release)
libffi-platypus-perl (0.96-1) unstable; urgency=medium

  * Import upstream version 0.96
  * debian/rules: remove fix for embedded build path.
    The issue is fixed in this release.

 -- gregor herrmann <email address hidden>  Tue, 20 Aug 2019 19:33:09 +0200

Available diffs

Superseded in eoan-proposed on 2019-08-20
libffi-platypus-perl (0.94-1) unstable; urgency=medium

  * Import upstream version 0.94.

 -- gregor herrmann <email address hidden>  Tue, 23 Jul 2019 18:55:45 -0300

Available diffs

Superseded in eoan-proposed on 2019-07-24
libffi-platypus-perl (0.92-1) unstable; urgency=medium

  * Import upstream version 0.92.
  * Add debian/tests/pkg-perl/use-whitelist.

 -- gregor herrmann <email address hidden>  Mon, 22 Jul 2019 15:23:54 -0300

Available diffs

Superseded in eoan-release on 2019-08-21
Deleted in eoan-proposed on 2019-08-22 (Reason: moved to release)
libffi-platypus-perl (0.90-1) unstable; urgency=medium

  * Import upstream version 0.90.
  * Update build dependencies.
    libalt-alien-ffi-system-perl is not needed anymore (since 0.69),
    add libffi-dev and pkg-config instead.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <email address hidden>  Wed, 17 Jul 2019 11:34:52 -0300

Available diffs

Superseded in eoan-release on 2019-07-18
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-07-14 (Reason: moved to release)
libffi-platypus-perl (0.83-1) unstable; urgency=medium

  * Import upstream version 0.83.
  * Add versioned build dependency on libextutils-parsexs-perl.

 -- gregor herrmann <email address hidden>  Wed, 13 Feb 2019 19:22:12 +0100

Available diffs

Superseded in disco-release on 2019-02-15
Deleted in disco-proposed on 2019-02-16 (Reason: moved to release)
libffi-platypus-perl (0.80-1) unstable; urgency=medium

  * Import upstream version 0.80.

 -- gregor herrmann <email address hidden>  Tue, 05 Feb 2019 18:29:30 +0100

Available diffs

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-07 (Reason: moved to release)
libffi-platypus-perl (0.79-1) unstable; urgency=medium

  * Import upstream version 0.79.

 -- gregor herrmann <email address hidden>  Fri, 01 Feb 2019 09:34:13 +0100

Available diffs

  • diff from 0.78-1 to 0.79-1 (pending)
Superseded in disco-release on 2019-02-02
Deleted in disco-proposed on 2019-02-03 (Reason: moved to release)
libffi-platypus-perl (0.78-1) unstable; urgency=medium

  * Import upstream version 0.78.
  * Update (build) dependencies.
  * debian/rules: drop removal of deleted README.
  * debian/rules: make build verbose.
  * debian/rules: replace build path in probe.pl with a placeholder.
    The file contains the EUMM values from build which are not used at
    runtime, which would lead to reproducibility issues.
  * Update debian/tests/pkg-perl/smoke-* to new upstream
    build/test system.
  * Update years of upstream and packaging copyright.
  * Install new Changes.FFI-Build file.
  * Add a lintian override for a spelling variant.
  * Bump debhelper compatibility level to 11.
  * Declare compliance with Debian Policy 4.3.0.

 -- gregor herrmann <email address hidden>  Thu, 31 Jan 2019 19:08:54 +0100

Available diffs

Superseded in disco-release on 2019-02-01
Deleted in disco-proposed on 2019-02-02 (Reason: moved to release)
libffi-platypus-perl (0.59-1) unstable; urgency=medium

  * Import upstream version 0.59.

 -- gregor herrmann <email address hidden>  Fri, 21 Dec 2018 20:31:14 +0100

Available diffs

Superseded in disco-release on 2018-12-22
Deleted in disco-proposed on 2018-12-23 (Reason: moved to release)
libffi-platypus-perl (0.58-1) unstable; urgency=medium

  * Import upstream version 0.58.
  * Install new Changes.FFI-Platypus-Type-StringArray file.
  * Don't install README.txt under /usr/lib.

 -- gregor herrmann <email address hidden>  Sun, 25 Nov 2018 17:38:21 +0100
Superseded in disco-release on 2018-12-11
Deleted in disco-proposed on 2018-12-12 (Reason: moved to release)
libffi-platypus-perl (0.56-1build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <email address hidden>  Fri, 02 Nov 2018 18:10:48 -0600

Available diffs

Superseded in disco-release on 2018-11-08
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed on 2020-07-13 (Reason: moved to release)
libffi-platypus-perl (0.56-1) unstable; urgency=medium

  * Import upstream version 0.56.
  * Add new build dependency: libcapture-tiny-perl.
  * Update years of upstream copyright.
  * debian/tests/pkg-perl/smoke-files: remove directories which don't
    exist anymore in the upstream tarball.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <email address hidden>  Fri, 07 Sep 2018 19:36:46 +0200

Available diffs

Superseded in cosmic-release on 2018-09-10
Deleted in cosmic-proposed on 2018-09-11 (Reason: moved to release)
libffi-platypus-perl (0.50-1) unstable; urgency=medium

  * Import upstream version 0.50.
  * Update debian/upstream/metadata.
  * Update build dependencies.
  * Declare compliance with Debian Policy 4.1.5.
  * autopkgtest: add one more source directory to
    debian/tests/pkg-perl/smoke-files.

 -- gregor herrmann <email address hidden>  Wed, 18 Jul 2018 16:50:25 +0200

Available diffs

Superseded in cosmic-release on 2018-07-20
Deleted in cosmic-proposed on 2018-07-22 (Reason: moved to release)
libffi-platypus-perl (0.48-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 0.48.
  * Drop reproducible-build.patch, merged upstream.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.
  * debian/rules: don't install a new content-less manpage.

 -- gregor herrmann <email address hidden>  Sun, 18 Mar 2018 18:40:01 +0100

Available diffs

Superseded in cosmic-release on 2018-05-06
Published in bionic-release on 2017-11-26
Deleted in bionic-proposed (Reason: moved to release)
libffi-platypus-perl (0.47-3) unstable; urgency=medium

  * Team upload

  * add reproducible-build.patch by Cris Lamb

 -- Damyan Ivanov <email address hidden>  Sun, 26 Nov 2017 11:41:17 +0000

Available diffs

Superseded in bionic-release on 2017-11-26
Deleted in bionic-proposed on 2017-11-28 (Reason: moved to release)
libffi-platypus-perl (0.47-2) unstable; urgency=medium

  * Fix autopkgtest: Redirect stderr to stdout in debian/tests/pkg-
    perl/smoke-setup.
    "print() on closed filehandle $fh at inc/My/ShareConfig.pm line 40" is not
    related to the actual smoke tests but make the test runner assume a
    failure when it ends up on stderr.

 -- gregor herrmann <email address hidden>  Fri, 24 Nov 2017 18:47:42 +0100
Superseded in bionic-proposed on 2017-11-24
libffi-platypus-perl (0.47-1) unstable; urgency=medium

  * Team upload

  * New upstream version 0.47
  * declare conformance with Policy 4.1.1 (no changes needed)
  * remove lib-module-build-perl from runtime dependencies

 -- Damyan Ivanov <email address hidden>  Tue, 21 Nov 2017 21:54:30 +0000
Superseded in bionic-release on 2017-11-26
Obsolete in artful-release on 2020-07-10
Deleted in artful-proposed on 2020-07-10 (Reason: moved to release)
libffi-platypus-perl (0.45-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <email address hidden>  Wed, 26 Jul 2017 20:06:13 +0000

Available diffs

Superseded in artful-release on 2017-08-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
libffi-platypus-perl (0.45-1) unstable; urgency=medium

  * Import upstream version 0.45.

 -- gregor herrmann <email address hidden>  Sat, 29 Oct 2016 20:08:22 +0200
Superseded in zesty-release on 2016-11-04
Deleted in zesty-proposed on 2016-11-05 (Reason: moved to release)
libffi-platypus-perl (0.43-1build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <email address hidden>  Mon, 24 Oct 2016 10:18:24 +0100

Available diffs

Superseded in zesty-release on 2016-11-01
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libffi-platypus-perl (0.43-1) unstable; urgency=medium

  * Import upstream version 0.43.
  * debian/rules: remove debugging output.

 -- gregor herrmann <email address hidden>  Fri, 08 Jul 2016 11:21:21 +0200

Available diffs

Superseded in yakkety-release on 2016-07-11
Deleted in yakkety-proposed on 2016-07-12 (Reason: moved to release)
libffi-platypus-perl (0.42.01-1) unstable; urgency=medium

  * Imported Upstream version 0.42_01.
  * Drop spelling.patch, merged upstream.
  * Drop debugging comments from debian/tests/pkg-perl/smoke-setup.

 -- gregor herrmann <email address hidden>  Wed, 06 Jul 2016 23:30:04 +0200

Available diffs

Superseded in yakkety-release on 2016-07-07
Deleted in yakkety-proposed on 2016-07-08 (Reason: moved to release)
libffi-platypus-perl (0.42-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix autopkgtest setup.
    We need to build libtest.so in the target directory, not the original
    source tree.
    (Closes: #829553)

  [ gregor herrmann ]
  * debian/rules: output include/ffi_platypus_probe.h during build for
    debugging purposes. Cf. #829553.

 -- gregor herrmann <email address hidden>  Tue, 05 Jul 2016 19:29:10 +0200

Available diffs

Superseded in yakkety-release on 2016-07-06
Deleted in yakkety-proposed on 2016-07-07 (Reason: moved to release)
libffi-platypus-perl (0.42-1) unstable; urgency=low

  [ C.J. Collier ]
  * Initial Release. (Closes: #778543)

 -- gregor herrmann <email address hidden>  Mon, 27 Jun 2016 15:12:19 +0200
147 of 47 results